- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::ZeroMatrix Class Reference

Class for Matrices with only zero entries. More...

`#include <IpZeroMatrix.hpp>`

Inheritance diagram for Ipopt::ZeroMatrix:

[legend]
Collaboration diagram for Ipopt::ZeroMatrix:

[legend]
List of all members.

## Public Member Functions
Constructors / Destructors
| ZeroMatrix (const MatrixSpace *owner_space)
| Constructor, taking the corresponding matrix space.
| ~ZeroMatrix ()
| Destructor.
## Protected Member Functions
Methods overloaded from matrix
virtual void | MultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply.
virtual void | TransMultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix(transpose) vector multiply.
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print detailed information about the matrix.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ZeroMatrix ()
| Default Constructor.
| ZeroMatrix (const ZeroMatrix &)
| Copy Constructor.
void | operator= (const ZeroMatrix &)
| Overloaded Equals Operator.

## Detailed Description

Class for Matrices with only zero entries.

Definition at line 20 of file IpZeroMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ZeroMatrix::ZeroMatrix | ( | const MatrixSpace * | owner_space | ) |

Constructor, taking the corresponding matrix space.

Ipopt::ZeroMatrix::~ZeroMatrix | ( |  | ) |

Destructor.

Ipopt::ZeroMatrix::ZeroMatrix | ( |  | ) | `[private]`

Default Constructor.

Ipopt::ZeroMatrix::ZeroMatrix | ( | const ZeroMatrix & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual void Ipopt::ZeroMatrix::MultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix-vector multiply.

Computes y = alpha * Matrix * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::ZeroMatrix::TransMultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix(transpose) vector multiply.

Computes y = alpha * Matrix^T * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::ZeroMatrix::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix |
| ) |  |  | const`[protected, virtual]`

Print detailed information about the matrix.

Implements Ipopt::Matrix.

void Ipopt::ZeroMatrix::operator= | ( | const ZeroMatrix & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpZeroMatrix.hpp